Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
proofs::SmallWitness< EC, Field, ScalarField > Class Template Reference
Collaboration diagram for proofs::SmallWitness< EC, Field, ScalarField >:
[legend]

## Public Member Functions
| SmallWitness (const EC &ec, const ScalarField &Fn)
void | fill_sha (DenseFiller< Field > &filler, const FlatSHA256Witness::BlockWitness &bw) const
void | fill_witness (DenseFiller< Field > &filler, bool small=false) const
bool | compute_witness (Elt pkX, Elt pkY, const uint8_t mdoc[], size_t len, const uint8_t transcript[], size_t tlen, const uint8_t tnow[], const StaticString &r, const StaticString &s, const StaticString &dr, const StaticString &ds)

## Data Fields
const EC | ec_
Elt | e_
Elt | e2_
Elt | dpkx_
Elt | dpky_
EcdsaWitness | ew_
EcdsaWitness | dkw_
uint8_t | now_ [kDateLen]
FlatSHA256Witness::BlockWitness | bw_ [kMaxSHABlocks]
uint8_t | signed_bytes_ [kMaxSHABlocks *64]
uint8_t | numb_

The documentation for this class was generated from the following file:

- lib/circuits/anoncred/small_witness.h